# Generated by Django 2.2 on 2020-04-10 11:54

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('restaurant', '0001_initial'),
        ('payment', '0001_initial'),
        ('comment', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Order',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_time', models.DateTimeField(auto_now_add=True, verbose_name='created_time')),
                ('modified_time', models.DateTimeField(auto_now=True, verbose_name='updated_time')),
                ('uuid', models.UUIDField(default=uuid.UUID('1eb01e55-d8ca-4ff8-84a6-931ff2202a15'), verbose_name='order_number')),
                ('active', models.BooleanField(default=True)),
                ('comment', models.OneToOneField(null=True, on_delete=django.db.models.deletion.SET_NULL, to='comment.Comment')),
            ],
            options={
                'verbose_name': 'order',
                'verbose_name_plural': 'orders',
                'db_table': 'order',
            },
        ),
        migrations.CreateModel(
            name='OrderFood',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_time', models.DateTimeField(auto_now_add=True, verbose_name='created_time')),
                ('modified_time', models.DateTimeField(auto_now=True, verbose_name='updated_time')),
                ('count', models.PositiveIntegerField(default=1)),
                ('food', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='restaurant.Food')),
                ('order', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='order.Order')),
            ],
            options={
                'verbose_name': 'order_food',
                'db_table': 'order_food',
            },
        ),
        migrations.AddField(
            model_name='order',
            name='foods',
            field=models.ManyToManyField(related_name='orders', through='order.OrderFood', to='restaurant.Food'),
        ),
        migrations.AddField(
            model_name='order',
            name='payment',
            field=models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='payment.Payment'),
        ),
        migrations.AddField(
            model_name='order',
            name='restaurant',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='orders', to='restaurant.Restaurant'),
        ),
        migrations.AddField(
            model_name='order',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='orders', to=settings.AUTH_USER_MODEL),
        ),
    ]
